package com.ruoyi.common.weiXin.domain;

import java.io.Serializable;
import java.util.Map;

public class WxMessageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 所需下发的订阅模板id */
    private String template_id;

    /** 点击模板卡片后的跳转页面 */
    private String page;

    /** 接收者（用户）的 openid */
    private String touser;

    /** 模板内容格式形如 { "key1": { "value": any }, "key2": { "value": any } }的object */
    private Map<String, Object> data;

    /** 跳转小程序类型：developer为开发版；trial为体验版；formal为正式版；默认为正式版 */
    private String miniprogram_state;

    /** 进入小程序查看”的语言类型，zh_CN(简体中文) */
    private String lang;

    public WxMessageDto() {
        this.miniprogram_state = "trial";
        this.lang = "zh_CN";
    }

    public String getTemplate_id() {
        return template_id;
    }

    public void setTemplate_id(String template_id) {
        this.template_id = template_id;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getTouser() {
        return touser;
    }

    public void setTouser(String touser) {
        this.touser = touser;
    }

    public Map<String, Object> getData() {
        return data;
    }

    public void setData(Map<String, Object> data) {
        this.data = data;
    }

    public String getMiniprogram_state() {
        return miniprogram_state;
    }

    public void setMiniprogram_state(String miniprogram_state) {
        this.miniprogram_state = miniprogram_state;
    }

    public String getLang() {
        return lang;
    }

    public void setLang(String lang) {
        this.lang = lang;
    }

    @Override
    public String toString() {
        return "WxMessageDto{" +
                "template_id='" + template_id + '\'' +
                ", page='" + page + '\'' +
                ", touser='" + touser + '\'' +
                ", data=" + data +
                ", miniprogram_state='" + miniprogram_state + '\'' +
                ", lang='" + lang + '\'' +
                '}';
    }
}
